Index: tests/run_rsa_tests.sh |
diff --git a/tests/run_rsa_tests.sh b/tests/run_rsa_tests.sh |
index a296d13c6ac256116a024a5e6118fd1b8a40fda2..ed15cf814a6eb91faac10a0762cd5d365d664616 100755 |
--- a/tests/run_rsa_tests.sh |
+++ b/tests/run_rsa_tests.sh |
@@ -9,6 +9,8 @@ |
# Load common constants and variables. |
. "$(dirname "$0")/common.sh" |
+set -e |
+ |
return_code=0 |
TEST_FILE=${TESTCASE_DIR}/test_file |
@@ -24,7 +26,7 @@ function test_signatures { |
${TEST_FILE}.rsa${keylen}_${hashalgo}.sig \ |
${TEST_FILE} |
if [ $? -ne 0 ] |
- then |
+ then |
return_code=255 |
fi |
let algorithmcounter=algorithmcounter+1 |